﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Media.Imaging;

namespace UploadSaveIntoDataBaseExample
{
	public partial class MainPage : UserControl
	{
		int UserID = 0;

		public MainPage()
		{
			InitializeComponent();
		}

		private void radUpload_FileUploadStarting(object sender, Telerik.Windows.Controls.FileUploadStartingEventArgs e)
		{
			UserID += 2;
			e.FileParameters.Add("UserID", UserID);
		}

		private void radUpload_FileUploaded(object sender, Telerik.Windows.Controls.FileUploadedEventArgs e)
		{
			Dictionary<string, object> customData = e.HandlerData.CustomData;
			int FileID = Int16.Parse(customData.Values.FirstOrDefault().ToString());

			TextBlock fileIDTextBlock = new TextBlock();
			fileIDTextBlock.Text = "FileID: " + FileID.ToString();
			fileIDTextBlock.HorizontalAlignment = System.Windows.HorizontalAlignment.Center;
			fileIDTextBlock.FontWeight = FontWeights.Bold;
			LayoutRoot.Children.Add(fileIDTextBlock);

			Image img = new Image();
			img.HorizontalAlignment = System.Windows.HorizontalAlignment.Center;
			img.VerticalAlignment = System.Windows.VerticalAlignment.Top;
			img.Width = 200;
			img.Height = 300;
			Uri uri = new Uri(String.Format("http://localhost:33403/StreamFile.ashx?FileID={0}", FileID), UriKind.RelativeOrAbsolute);
			img.Source = new BitmapImage(uri);

			LayoutRoot.Children.Add(img);
		}

	}
}
